*{
	padding: 0;
	margin: 0 ;
}

@font-face { font-family: Inter; src: url('Inter/Inter-VariableFont_slnt,wght.ttf'); } 
@font-face { font-family: Lobster; src: url('Lobster/Lobster-Regular.ttf'); } 

/* HERO */
.hero {
  position: relative;
  width: 100%;
  height: 100vh;
  overflow: hidden;
}

/* VIDEO */
.hero-video {
  position: absolute;
  inset: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
  z-index: 0;
}

/* OVERLAY */
.hero-overlay {
  position: absolute;
  inset: 0;
  background: linear-gradient(
    90deg,
    rgba(0,0,0,0.7) 0%,
    rgba(0,0,0,0.4) 50%,
    rgba(0,0,0,0.7) 100%
  );
  z-index: 1;
}

/* CONTENT */
.hero-content {
  position: relative;
  z-index: 2;
  height: 100%;
  max-width: 1400px;
  margin: 0 auto;
  padding: 4rem 2rem;

  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 3rem;
}

/* LEFT */
.hero-left h2 {
  font-size: clamp(2.5rem, 5vw, 4.5rem);
  line-height: 1.1;
  margin-bottom: 2rem;
  font-family: 'Inter';
  color: #fff;
}

.cta {
  display: inline-block;
  color: #fff;
  text-decoration: none;
  font-weight: 600;
  border-bottom: 2px solid #fff;
  padding-bottom: 0.3rem;
  font-family: 'Inter';
}

/* RIGHT */
.hero-right {
  width: 420px;
  height: 500px;
  background: rgba(255,255,255,0.08);
  border-radius: 16px;
  backdrop-filter: blur(10px);
  font-family: 'Inter';
  transition: 0.5s;
}
.hero-right:hover {
transform: scale(1.05);
}


.back {
  background-color: #151515;
  position: absolute;
  width: 100%;
  height: 100%;
  backface-visibility: hidden;
  -webkit-backface-visibility: hidden;
  border-radius: 16px;
  overflow: hidden;
}

.back {
  width: 100%;
  height: 100%;
  justify-content: center;
  display: flex;
  align-items: center;
  overflow: hidden;
}

.back::before {
  position: absolute;
  content: ' ';
  display: block;
  width: 160px;
  height: 160%;
  background: linear-gradient(90deg, transparent, #ff9966, #ff9966, #ff9966, #ff9966, transparent);
  animation: rotation_481 5000ms infinite linear;
}

.back-content {
  position: absolute;
  width: 99%;
  height: 99%;
  background-color: #151515;
  border-radius: 16px;
  color: white;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 2vh;
}

.card:hover .content {
  transform: rotateY(180deg);
}

@keyframes rotation_481 {
  0% {
    transform: rotateZ(0deg);
  }

  0% {
    transform: rotateZ(360deg);
  }
}




/* RESPONSIVE */
@media (max-width: 900px) {
  .hero-content {
    flex-direction: column;
    align-items: flex-start;
    display: block;
  }

  .hero-right {
    width: 100%;
    max-width: 400px;
    margin-left: auto;
    margin-right: auto;
    margin-top:6vh;
    height: 50vh;
  }

  .hero-left h2 {
    margin-top: 4vh;
  }
}



.headline1{
  position: relative;
  text-align: center;
  width: 96%;
  margin-left: auto;
  margin-right: auto;
  color: #000000;
  font-size: 3em;
  font-family: 'Lobster';
}
.headline2{
  position: relative;
  text-align: center;
  font-family: 'Inter';
  color: #4a4a4a;
  font-size: 1em;
  width: 96%;
  margin-left: auto;
  margin-right: auto;
  margin-top: 2vh;
  margin-top: 4vh;
}

.splitter-top{
  position: relative;
  width: 80%;
  max-width: 300px;
  height: 1px;
  margin-top: 3vh;
  background-color: #000000;
  margin-left: auto;
  margin-right: auto;
}


.offers {
  max-width: 1200px;
  margin: 3rem auto;
  padding: 0 1rem;
  font-family: 'Inter';
}

/* CARD */
.offer-card {
  display: flex;
  gap: 2rem;
  background: #fff;
  border-radius: 14px;
  overflow: hidden;
  margin-bottom: 2.5rem;
  box-shadow: 0 12px 30px rgba(0,0,0,.08);
  opacity: 0;
  transform: translateY(60px);
  transition: all .7s ease;
  max-height: 350px;
}

.offer-card:hover {
box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
}

.offer-card.active {
  opacity: 1;
  transform: translateY(0);
}

/* SLIDER */
.offer-slider {
  position: relative;
  width: 45%;
  overflow: hidden;
  touch-action: pan-y;
}

.slides {
  display: flex;
  transition: transform .6s ease;
   width: 100%;
   height: auto;
   position: absolute;
  top: 50%;
  transform: translateY(-50%);
}

.slides img {
  width: 100%;
  height: auto;
  flex-shrink: 0;
  object-fit: cover;
}

/* NAV BUTTONS */
.nav {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  background: rgba(0,0,0,.45);
  color: #fff;
  border: none;
  width: 42px;
  height: 42px;
  border-radius: 50%;
  cursor: pointer;
  font-size: 1.4rem;
  z-index: 5;
}

.nav.prev { left: 12px; }
.nav.next { right: 12px; }

.nav:hover {
  background: rgba(0,0,0,.7);
}

/* DOTS */
.dots {
  position: absolute;
  bottom: 12px;
  left: 50%;
  transform: translateX(-50%);
  display: flex;
  gap: 6px;
}

.dots span {
  width: 8px;
  height: 8px;
  background: rgba(255,255,255,.5);
  border-radius: 50%;
  cursor: pointer;
}

.dots span.active {
  background: #fff;
}

/* INFO */
.offer-info {
  width: 55%;
  padding-top: 2rem;
  padding-bottom: 2rem;
  padding-left: 2rem;
  padding-right: 2rem;
}

.offer-location {
  font-size: .85rem;
  color: #777;
}

.offer-info h4 {
  font-size: 1.45rem;
  margin: .6rem 0 1rem;
  cursor: pointer;
}

.offer-desc {
  color: #555;
  margin-bottom: 1rem;
}

.offer-extra {
  display: inline-block;
  margin-bottom: 1.5rem;
  color: #1d1d1d;
  font-weight: 600;
}

.offer-badge {
  display: inline-block;
  padding: .6rem 1rem;
  border: 2px solid #ff6a00;
  color: #ff6a00;
  font-weight: bold;
  border-radius: 8px;
}

.offer-badge.hot {
  border-color: #e60023;
  color: #e60023;
}

/* RESPONSIVE */
@media (max-width: 900px) {
  .offer-card {
    flex-direction: column;
    max-height: none;
  }

  .offer-slider,
  .offer-info {
    width: 100%;
  }

  .nav {
    width: 48px;
    height: 48px;
  }
  
  .offer-info{
    height: auto;
    width: 92%;
    padding-top: 0rem;
    padding-bottom: 1rem;
    padding-left: 1rem;
    padding-right: 1rem;
  }

  .slides {
   position: relative;
  top: 0%;
  transform: translateY(-0%);
}
}








.btn {
  width: 240px;
  height: 50px;
  border-radius: 5px;
  border: none;
  transition: all 0.5s ease-in-out;
  font-size: 1.5vh;
  font-family: Verdana, Geneva, Tahoma, sans-serif;
  font-weight: 600;
  display: flex;
  align-items: center;
  background: #040f16;
  color: #f5f5f5;
  margin-left: auto;
  margin-right: auto;
  cursor: pointer;
}

.btn:hover {
  box-shadow: 0 0 20px 0px #2e2e2e3a;
}

.btn .icon {
  position: absolute;
  height: 40px;
  width: 70px;
  display: flex;
  justify-content: center;
  align-items: center;
  transition: all 0.5s;
  margin-top:2vh;
}

.btn .text-btn {
  transform: translateX(7vh);
}

.btn:hover .icon {
  width: 240px;
}


.btn:hover .text-btn {
  transition: all 0.5s;
  opacity: 0;
}

.btn:focus {
  outline: none;
}

.btn:active .icon {
  transform: scale(1.5);
}

/* RESPONSIVE */
@media (max-width: 900px) {
.btn {
  width: 25vh;
}
}



.weather-div{
  position: relative;
  margin-top:6vh;
  width:90%;
  max-width:1000px;
  margin-left: auto;
  margin-right: auto;
}






.blog-card-slider-bg{
  position: relative;
  width: 100%;
  margin-top:0vh;
}

.itinerary-section {
  position: relative;
  background: url("images/dubai-background.webp") center / cover no-repeat;
  display: flex;
  align-items: center;
  padding: 4rem 2rem;
}

.overlay {
  position: absolute;
  inset: 0;
  background: linear-gradient(
    120deg,
    rgba(29, 29, 29, 0.95),
    rgba(29, 29, 29, 0.15)
  );
}

.itinerary-content {
  position: relative;
  z-index: 2;
  max-width: 1400px;
  margin: auto;
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 3rem;
}

/* TEXT */
.itinerary-text {
  color: #fff;
  max-width: 420px;
}

.itinerary-text h4 {
  font-size: clamp(2.2rem, 4vw, 3.5rem);
  line-height: 1.1;
  margin-bottom: 1.5rem;
  font-family: 'Lobster';
}

.itinerary-text span {
  font-weight: 700;
}

.cta {
  color: #fff;
  text-decoration: none;
  font-weight: 600;
  border-bottom: 2px solid #fff;
  padding-bottom: .3rem;
}

/* SLIDER */
.card-slider {
  position: relative;
  width: 60%;
}

.slider-viewport {
  overflow: hidden;
  font-family: 'Inter';
}

.slider-track {
  display: flex;
  gap: 1.5rem;
  transition: transform .45s ease;
}

.card {
  min-width: 300px;
  background: #fff;
  border-radius: 18px;
  overflow: hidden;
  transition: transform .45s ease;
}
.card:hover {
  transform: scale(0.95);
  cursor: pointer;
}

.card img {
  width: 100%;
  height: 200px;
  object-fit: cover;
}

.card h3 {
  padding: 1rem;
  font-size: 1.1rem;
}

/* BUTTONS */
.slider-btn {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  background: #fff;
  border: none;
  width: 44px;
  height: 44px;
  border-radius: 50%;
  cursor: pointer;
  font-size: 1.3rem;
  z-index: 5;
}

.slider-btn.prev { left: -22px; }
.slider-btn.next { right: -22px; }

/* RESPONSIVE */
@media (max-width: 900px) {
  .itinerary-content {
    flex-direction: column;
    text-align: center;
  }

  .card-slider {
    width: 100%;
  }

  .slider-btn.prev { left: 10px; }
  .slider-btn.next { right: 10px; }
}







.product-finder-button {
    display: block;
    width: auto;
    margin: 40px auto;
    background-color: #267c77;
     text-decoration: none;
     color:#fff;
    text-align: center;
    padding-top: 15px;
    padding-bottom: 15px;
    border-radius: 5px;
    font-weight: bold;
    font-size: 16px;
    font-family: "Inter";
    transition: 0.5s;
    cursor: pointer;
    width: 100%;
    border: none;
    opacity: 0;
  transform: translateY(60px);
  transition: all .7s ease;
}
.product-finder-button:hover {
  background-color: #1b5a57;
}
.product-finder-button.active {
  opacity: 1;
  transform: translateY(0);
}

/* Info-Box Container */
.info-section {
    max-width: 1200px;
    margin: 5vh auto;
    width: 90%;
}

.info-section-headline{
  position: relative;
  font-weight: 800;
  font-size:1.8em;
  font-family: "Inter";
  color: #000;
  text-align: center;
  overflow: hidden;
}

.info-container-h{
  position: relative;
  font-weight:600;
  font-size:1.2em;
  font-family: "Inter";
  color: #000;
}
.info-container-p{
  position: relative;
  font-size:1em;
  line-height: 1.1;
  margin-top: 0.9vh;
  font-family: "Inter";
  color: #000;
  width: 90%;
  margin-left: 5%;
}

.info-container {
    display: flex;
    justify-content: space-between;
    gap: 20px;
    flex-wrap: wrap;
    margin-top: 4vh;
    width:100%;
    opacity: 0;
  transform: translateY(60px);
  transition: all .7s ease;
}
.info-container.active {
  opacity: 1;
  transform: translateY(0);
}

.info-box {
    flex: 1;
    background-color: white;
    border-radius: 8px;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    text-align: center;
    transition: transform 0.3s ease;
    width: 90%;
    margin-left: 0%;
    padding-top:3vh;
    padding-bottom:3vh;
}

.info-box:hover {
    transform: translateY(-10px);
}

.info-box-2 {
    flex: 1;
    background-color: transparent;
    text-align: center;
    transition: transform 0.3s ease;
    width: 90%;
    margin-left: 0%;
    padding-top:3vh;
    padding-bottom:3vh;
}

.info-box-2:hover {
    transform: translateY(-10px);
}



.icon {
    font-size: 40px;
    margin-bottom: 20px;
}

.icon-img {
  width:70px;
  margin-left: 0%;
}


.container {
position: relative;
  display: flex;
  flex-direction: row;   /* nebeneinander */
  align-items: center;   /* vertikal zentrieren */
  gap: 20px;
  margin: 2vh auto;      /* oben/unten + horizontal zentriert */
  width: fit-content;    /* Breite passt sich dem Inhalt an */
}

/* Responsive Styles */
@media (max-width: 768px) {
    .info-container {
        flex-direction: column;
        align-items: center;
    }

    .info-box {
        width: 90%;
        margin-bottom: 20px;
    }
    .info-box-2 {
        width: 90%;
        margin-bottom: 20px;
    }

    .container{
      display: flex;
      flex-direction: column; /* Elemente untereinander */
      align-items: center;    /* horizontal zentrieren */
      gap: 20px;  
      margin-top:2vh;
    }
    .box{
      position: relative;
    
    }
}

@media (max-width: 480px) {

    .product-finder-button {
        width: 100%;
        font-size: 14px;
    }

    .info-box {
        width: 100%;
    }
    .info-box-2 {
        width: 100%;
    }
}




.info-boxes-headline{
  position: relative;
  font-weight: 800;
  font-size:1.8em;
  font-family: "Inter";
  color: #000;
  text-align: center;
}


  .text-box-info{
    position: relative;
    width: 90%;
    max-width: 1000px;
    margin-left: auto;
    margin-right: auto;
    display: flex;
    margin-top: 3em;
    opacity: 0;
    transform: translateY(60px);
  transition: all .7s ease;
}
.text-box-info.active {
  opacity: 1;
  transform: translateY(0);
}

.text-box-info-box1{
    position: relative;
    width: 49%;
    height: auto;
}
.text-box-info-box1-2{
    position: relative;
    width: 49%;
    height: auto;
    margin-left: 2%;
}

.text-box-info-box1-img{
    position: relative;
    width: 90%;
    margin-left: auto;
    margin-right: auto;
    height: auto;
    cursor: pointer;
    transition: 0.5s;
    object-fit: cover;
}
.text-box-info-box1-img:hover{
    box-shadow: rgba(149, 157, 165, 0.2) 0px 8px 24px;
}

.text-box-info-box2{
    position: relative;
    width: 49%;
    height: auto;
    margin-left: 2%;
}
.text-box-info-box2-2{
    position: relative;
    width: 49%;
    height: auto;
}

.main-text-h6-m{
    position: relative;
    font-family: "Inter";
    font-size:1.3em;
    text-align: left;
    color:#252525;
    font-weight: 500;
    margin-top:0px;
    width:90%;
    margin-left: 0%;
}

.makler-info-m{
    position: relative;
    font-family: "Inter";
    color:#252525;
    font-size:17px;
    font-weight: 400;
    line-height: 1.5;
    margin-top:0.7em;
    width:95%;
    margin-left:0%;
}

@media screen and (max-width: 850px) {
	.text-box-info{
		display: inline-block;
    } 
    .text-box-info-box1{
        position: relative;
        width: 96%;
        margin-left: 2%;
        height: auto;
    }
    .text-box-info-box2{
        position: relative;
        width: 96%;
        margin-left: 2%;
        height: auto;
        margin-top:20px;
        text-align: center;
    }

    .text-box-info-box1-2{
        position: relative;
        width: 96%;
        margin-left: 2%;
        height: auto;
        margin-top:2vh;
    }
    .text-box-info-box2-2{
        position: relative;
        width: 96%;
        margin-left: 2%;
        height: auto;
        margin-top:20px;
        text-align: center;
    }

    .main-text-h6-m{
      position: relative;
      text-align: center;
      width:90%;
      margin-left: 5%;
  }

  .text-box-info{
    position: relative;
    width: 90%;
    margin-left: 5%;
  }
  .text-box-info-box1-img{
    position: relative;
    width: 90%;
    margin-left: 5%;
}
}












/* HERO */
.hero-blog {
  position: relative;

  background-image: url("blue-background.webp"); /* HIER BILD ERSETZEN */
  background-size: cover;
  background-position: center;
  display: flex;
  align-items: center;
  padding: 3rem;
  overflow: hidden;
  opacity: 0;
  transform: translateY(60px);
  transition: all .7s ease;
}
.hero-blog.active {
  opacity: 1;
  transform: translateY(0);
}

/* leichte helle Fläche für bessere Lesbarkeit */
.hero-overlay-blog {
  position: absolute;
  inset: 0;

}

/* CONTENT */
.hero-content-blog {
  position: relative;
  max-width: 420px;
  background: #fff;
  padding: 2.5rem;
  border-radius: 20px;
  box-shadow: 0 20px 40px rgba(0, 0, 0, 0.1);
  font-family: 'Inter';
  margin-left: 20vh;
}

.hero-content-blog h5 {
  font-size: 2.2rem;
  margin-bottom: 1rem;
}

.hero-content-blog p {
  font-size: 1rem;
  line-height: 1.6;
  margin-bottom: 2rem;
  color: #333;
}

/* BUTTON */
.btn-blog {
  display: inline-flex;
  align-items: center;
  gap: 0.5rem;
  padding: 0.9rem 1.8rem;
  background: #0b6a63;
  color: #fff;
  text-decoration: none;
  border-radius: 999px;
  font-weight: 600;
  transition: background 0.3s ease, transform 0.2s ease;
}

.btn-blog:hover {
  background: #095b55;
  transform: translateY(-2px);
}

/* RESPONSIVE */
@media (max-width: 768px) {
  .hero-blog {
    padding: 1.5rem;
    min-height: 50vh;
  }

  .hero-content-blog {
    max-width: 100%;
    padding: 2rem;
    margin-left: 0vh;
  }

  .hero-content-blog h5 {
    font-size: 2rem;
  }
}

/* RESPONSIVE */
@media (max-width: 1450px) {
.hero-content-blog {
  margin-left: 10vh;
}
}
@media (max-width: 1250px) {
.hero-content-blog {
  margin-left: 5vh;
}
}





.top-recommendation{
  position: relative;
  color:#fff;
  font-size: 'Inter';
  font-weight:600;
  font-size: 1em;
  margin-top: 1.2vh;
}

/* CARD */
.property-card {
  width: 100%;
  background: transparent;
  border-radius: 16px;
  overflow: hidden;
  box-shadow: 0 12px 30px rgba(0, 0, 0, 0.12);
  cursor: pointer;
  display: block;
  padding-left: 2vh;
  padding-right: 2vh;
}

/* IMAGE */
.image-wrapper {
  position: relative;
  width: 100%;
  aspect-ratio: 4 / 3;
  overflow: hidden;
}

.agent-avatar {
position: absolute;
top: 10px; right: 10px;
transform: translateX(10%);
} 

.agent-avatar img { 
width: 44px; 
height: 44px; 
border-radius: 50%; 
border: 2px solid #000; 
object-fit: cover; }

/* Karussell Container */
.carousel {
  display: flex;
  width: 400%; /* 4 Bilder x 100% */
  height: 100%;
  transition: transform 0.5s ease-in-out;
}

/* Jedes Bild im Karussell */
.carousel img {
  width: 25%; /* 100% / 4 Bilder */
  height: 100%;
  object-fit: cover;
  flex-shrink: 0;
}


.agent-avatar img {
  width: 44px;
  height: 44px;
  border-radius: 50%;
  border: 2px solid #fff;
  object-fit: cover;
}

/* CONTENT */
.card-content {
  padding: 1rem;
  height: auto;
}

.card-content h3 {
  font-size: 1rem;
  font-weight: 600;
  line-height: 1.4;
   white-space: nowrap; 
  width: 100%; 
  overflow: hidden;
  text-overflow: ellipsis; 
}


/* LOCATION */
.location {
  font-size: 0.9em;
  color: #d7d7d7;
  margin-top:0.7vh;
  padding-bottom:0.5vh;
}

/* RESPONSIVE */
@media (max-width: 480px) {
  .property-card {
    max-width: 100%;
  }
}


#map {
  width: 100%;
  height: 500px;
  margin-top: 15vh;
}

